> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List contacts

> List contacts and filter them by any custom properties.
            
To filter contacts on custom property, just add the property with its exact value as a query parameter:  
`myCustomProp=ThisIsAValue`  
This will return the contacts where myCustomProp exactly matches the provided value.



## OpenAPI

````yaml /openapi.json get /v3/contacts
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/contacts:
    get:
      tags:
        - Contacts
      summary: List contacts
      description: "List contacts and filter them by any custom properties.\r\n            \r\nTo filter contacts on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the contacts where myCustomProp exactly matches the provided value."
      parameters:
        - name: email
          in: query
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            contact to be returned.
          schema:
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          description: The maximum number of contacts to be returned. The default is 20.
          schema:
            type: integer
            format: int32
            default: 20
        - name: sort_by
          in: query
          description: The property used to sort the contacts by. The default is Name.
          schema:
            type: string
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned contacts. Accepted values:
            ASC, DESC. The default is ASC.
          schema:
            type: string
      responses:
        '200':
          description: Contacts returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactListResponseDto'
      security:
        - oauth2:
            - Api
components:
  schemas:
    ContactListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ContactDto'
          nullable: true
      additionalProperties: false
    ContactDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        source:
          $ref: '#/components/schemas/DataSource'
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    DataSource:
      enum:
        - Unknown
        - Website
        - Partner
        - Api
        - Zapier
        - Tenant
        - System
        - HubSpot
        - Stripe
        - PartnerDirectory
      type: string

````